| PUT | /RestApi/translations/translate/mark |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Ids | body | Guid[] | No | |
| ProviderName | body | string | No | |
| ItemType | body | string | No | |
| SourceLanguage | body | string | No | |
| TargetLanguages | body | string[] | No | |
| ActualSourceLanguage | body | string | No | |
| AllowPartialSuccess | body | bool | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/translations/translate/mark HTTP/1.1
Host: www.imglobal.com
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length
{"Ids":["00000000-0000-0000-0000-000000000000"],"ProviderName":"String","ItemType":"String","SourceLanguage":"String","TargetLanguages":["String"],"ActualSourceLanguage":"String","AllowPartialSuccess":false}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{Unable to show example output for type 'IList`1' using the custom 'other' filter}Cannot create an instance of an interface.